Bug Hunting Session
Bug 53968 - LO does not start; unable to remove file from bundled extensions cache
Summary: LO does not start; unable to remove file from bundled extensions cache
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium major
Assignee: Stephan Bergmann
URL:
Whiteboard: target:3.7.0 target:3.6.2
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-23 15:06 UTC by Petr Mladek
Modified: 2012-08-30 07:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screeshot showing the error message. (24.41 KB, image/png)
2012-08-23 15:06 UTC, Petr Mladek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Mladek 2012-08-23 15:06:24 UTC
Created attachment 66019 [details]
Screeshot showing the error message.

I have just installed LO-3.6.1.2 build on Windows 7 Professional, 64-bit and saw the following scenario:

1. Double clicked the LO-3.6 icon.
2. Waited few second (10 or so) and nothing happened (no splash screen).
3. Double clicked the LO-3.6 icon once again.

Result: The following error message appeared on the screen, see also the screenshot:

--- cut ---
Unhandled exception:
cannot remove file
file:///C:/Users/pmladek/AppData/Roaming/LibreOffice/3/user/extensions/bundled/registry/com.sun.star.comp.deployment.help.PackageRegistryBackend/luh6gap.tmp/ks/caption/com.sun.wiki-publisher%252Fwiki.xhp: 2
--- cut ---

Few seconds later, the splash screen appeared. It started to register the extensions and the application started.

So, there were evidently running two instances. One of them failed and the other succeeded.


Possible explanation:
---------------------

The first instance was removing the huge bundled extensions directory before showing the splash screen => it looked like the application was not started => I started another instance => both instances started to remove the same files => one instance was "slower" and failed


Possible solution:
------------------

+ show splash earlier
+ earlier detect that another instance is running
+ ignore this

Note that we install many extensions by default and the cache is huge. So, more users might be affected.
Comment 1 Stephan Bergmann 2012-08-23 15:20:13 UTC
Yes, while soffice.bin discovers whether another instance is already running for this user, it only does so long after this removal-after-upgrade code has run.  So if you start multiple instances of LibreOffice for the same user after an upgrade, you can run into this.
Comment 2 Not Assigned 2012-08-24 15:22:09 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b40fbe41459a2231870af94a06263d89af554a6

fdo#53968 etc.: Fix more "doesn't start after upgrade" problems
Comment 3 Not Assigned 2012-08-29 20:20:24 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d261e7aac12a876acb6496085e5329632595d39&g=libreoffice-3-6

fdo#53968 etc.: Fix more "doesn't start after upgrade" problems


It will be available in LibreOffice 3.6.2.